-- Add table FSK_ACCOUNT_KEYS_ACC

CREATE TABLE FCFKC.FSK_ACCOUNT_KEYS_ACC
(
	alert_id             NUMBER(12) NOT NULL ,
	account_key          NUMBER(12) NOT NULL ,
	segment_id           VARCHAR2(128) DEFAULT  user  NOT NULL ,
	run_date             DATE NULL 
)
	 TABLESPACE KC_DATA01
	PCTFREE 2;

CREATE UNIQUE INDEX FCFKC.XPKFSK_ACCOUNT_KEYS_ACC ON FCFKC.FSK_ACCOUNT_KEYS_ACC
(alert_id   ASC,account_key   ASC,segment_id   ASC)
	TABLESPACE KC_INDEX01;

ALTER TABLE FCFKC.FSK_ACCOUNT_KEYS_ACC
	ADD CONSTRAINT  XPKFSK_ACCOUNT_KEYS_ACC PRIMARY KEY (alert_id,account_key,segment_id);

CREATE  INDEX FCFKC.XIE1FSK_ACCOUNT_KEYS_ACC ON FCFKC.FSK_ACCOUNT_KEYS_ACC
(account_key   ASC)
	TABLESPACE KC_INDEX01;


-- Create grants:

GRANT SELECT, INSERT, DELETE, UPDATE on FCFKC.FSK_ACCOUNT_KEYS_ACC to FCFBU1;

-- Create view

CREATE OR REPLACE  VIEW FCFBU1.FSK_ACCOUNT_KEYS_ACC ( alert_id,account_key,run_date ) 
	 AS  SELECT FCFKC.FSK_ACCOUNT_KEYS_ACC.alert_id,FCFKC.FSK_ACCOUNT_KEYS_ACC.account_key,FCFKC.FSK_ACCOUNT_KEYS_ACC.run_date
		FROM FCFKC.FSK_ACCOUNT_KEYS_ACC
		WHERE segment_id = 'FCFBU1';
